FILEDATE(1)

NAME
filedate - print the modification times of the specified files

SYNOPSIS
filedate [-h(elp)] [-a(ccess_time)] [-f file_list] [-l(ocale_format)] [-p(ipe)] [-q(uiet)] [-t(ouch_format)] [-U(TC_time)] [-v(erbose)] [file...]

DESCRIPTION
filedate prints out the modification times of the specified files.

OPTIONS

-h  Print help and quit.

-a  Print out file access times instead of modification times.

-f file_list
    Read the names of files to be processed from the specified file.

-l  Print time stamps in the preferred date and time representation for the current locale.

-t  Print time stamps in a format that is compatible with the -t option of the touch command.

-p  Read the names of files to be processed from stdin.

-q  Quiet output. Do not print the filename with program output.

-U  Print out UTC times instead of local times.

-v  Verbose output. Print the filename with program output.

NOTES
The program defaults to quiet for a single file and verbose for multiple files. The -f and -p options can be used simultaneously with filenames specified on the command-line. If neither the -l or -t option is specified, the program defaults to a "YYYY-MM-DD HH:MM:SS.NN" format that can be sorted into chronological order easily and can be used with the -d option of touch. Note that this program operates similarly to stat -c '%y'. If you are trying to write highly portable shell scripts, you might consider using stat instead.

COPYRIGHT
Copyright (C) 2004-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.